Subject: bug#27844: 26.0.50; Dired w/ eshell-ls doesn't support wildcards in file name

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Jul 2017 12:06:52 +0300

> From: Tino Calancha <[email-masked]>
> Date: Thu, 27 Jul 2017 18:23:08 +0900
> 
> `eshell-extended-glob' returns a list of matches on success, otherwise
> it returns FILE;  if no match i think we should signal an error.

Whether this should be an error or just FILE is a matter of personal
preferences, I think.  Some shells behave this way, others the other
way.  So either we should leave your original patch as it was, or
introduce a defcustom to produce an error if the user so wants.

WDYT?